package cn.edu.whu.boot.allocation.services;

import cn.edu.whu.boot.allocation.entities.TaskCell;

import java.util.List;
import java.util.Map;
import java.util.Optional;

public interface TaskCellService {
    List<TaskCell> findByTaskId(int taskId);

    List<String> findGeojsonByTaskIdAndUserId(int taskId, int userId);

    Optional<String> findGeojsonByTaskIdAndGeohash(int taskId, String geohash);

    void insertList(List<TaskCell> list);

    void deleteByTaskId(int taskId);

    Map<String,Object> getCoordinateRange(Integer taskId);
}
